最新消息:欢迎访问Android开发中文站!商务联系微信:loading_in

Android Studio 4.1 Canary 版本发布

热点资讯 loading 117浏览 0评论

Android Studio 4.1 Canary 版本发布

主要开始支持 Jetpack Compose

支持 Jetpack Compose

Jetpack Compose工具包提供了一种构建应用程序UI的现代化方法。该工具包还带来了Kotlin的所有优势,例如帮助您编写与Java完全可互操作的简洁且惯用的代码。

为了获得使用Jetpack Compose进行开发的最佳体验,您应该使用最新版本的Android Studio 4.1。这是因为当您使用Android Studio通过Jetpack Compose开发应用程序时,您可以受益于智能编辑器功能,例如 New Project 模板和立即预览 Compose UI 的功能。

要了解更多信息并开始使用,请转到Jetpack Compose概述

断言在Debug版本的 App 中可以开启

现在,在部署应用程序的调试版本时,将启用Java代码中的断言。由于Android运行时不支持在运行时启用断言(即,将等效的-ea-enableassertions标志传递给Java VM),因此应用程序中的断言以前没有任何作用。

现在,当您使用Android Gradle插件4.1.0-alpha01及更高版本构建和部署应用程序的调试版本时,内置编译器(D8)会重写代码以在编译时启用断言,因此您始终使断言检查处于活动状态。

**注意:**此功能目前仅支持以Java编程语言编写的应用程序。对Kotlin的支持即将推出。

4.1预览版的已知问题

本部分介绍了Android Studio 4.1 Preview中的当前已知问题。

CPU Profiler中的超时错误

当您选择示例Java方法跟踪Java方法 配置时,您可能会在Android Studio CPU Profiler中遇到“无法停止录制”错误。这些通常是超时错误,尤其是在idea.log文件中看到以下错误消息时:

Wait for ART trace file timed out

与采样方法相比,超时错误对跟踪方法的影响更大,而对较短记录的影响则更长。作为临时的解决方法,尝试较短的记录以查看错误是否消失可能会有所帮助。

如果您在Profiler中遇到超时问题,请提交一个错误 ,其中包括设备的型号/型号以及来自idea.loglogcat的所有相关条目 。

IDE中的Git版本控制错误

Android Studio 4.1 Canary 1 的 Git 认证身份功能不能工作,任何需要认证的操作都不能进行,比如 push/pull,并将在以后的版本中修复。

解决方法是从命令行使用Git。

参考

原文在这里

 

转载请注明:Android开发中文站 » Android Studio 4.1 Canary 版本发布

您必须 登录 才能发表评论!